Skip to main content
GET
/
api
/
v1
/
jobs
List jobs
curl --request GET \
  --url https://app.outhire.ai/api/v1/jobs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.outhire.ai/api/v1/jobs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.outhire.ai/api/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": 40,
      "title": "Senior Engineer",
      "department_id": 1,
      "is_active": true,
      "is_public": false,
      "locations": [
        "Sydney, Australia"
      ],
      "location_type": "remote",
      "salary": {
        "min": 120000,
        "max": 160000,
        "currency": "AUD"
      },
      "apply_url": "https://app.outhire.ai/jobs/abc123",
      "screening_questions": [],
      "created_at": "2026-03-11T10:21:54.289003Z",
      "updated_at": "2026-03-11T10:21:54.544000Z"
    }
  ],
  "pagination": {
    "has_more": true,
    "next_cursor": "eyJvZmZzZXQiOjI1fQ"
  }
}
{
"error": {
"code": "validation_error",
"message": "Request validation failed.",
"details": [
{
"field": "email",
"message": "Invalid email"
}
]
}
}
{
"error": {
"code": "unauthorized",
"message": "Missing or invalid API key."
}
}
{
"error": {
"code": "validation_error",
"message": "Request validation failed.",
"details": [
{
"field": "email",
"message": "Invalid email"
}
]
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:25

Page size. Defaults to 25. Maximum 100.

Required range: 1 <= x <= 100
cursor
string

Opaque cursor returned by the previous page.

active
boolean
default:true

Filter by active state. Defaults to true.

department_id
integer

Filter by department id.

Required range: x >= 1

Response

Jobs list

Job list response with pagination metadata.

data
object[]
required
pagination
object
required

Cursor pagination metadata returned by list endpoints.